Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Class BuildStrategyFactory

    java.lang.Object
      com.atlassian.bamboo.build.strategy.BuildStrategyFactory

    public final class BuildStrategyFactory

extends Object

This class creates the various system build strategies.

Field Summary
`static BuildStrategy` | `DEFAULT_STRATEGY` Default build behaviour
`static BuildStrategy` | `EDIT_BUILD_STRATEGY` Force a manual build follow editing of the build settings
`static BuildStrategy` | `INITIAL_BOOTSTRAP_BUILD_STRATEGY` This is the initialisation strategy, to check everything out before building
`static BuildStrategy` | `MANUAL_BUILD` Force a manual build
`static BuildStrategy` | `MANUAL_BUILD_STRATEGY` No builds at all
`static BuildStrategy` | `WHEN_SOURCE_CHANGES_BUILD_STRATEGY` Only build if the build has changed

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WHEN_SOURCE_CHANGES_BUILD_STRATEGY

    public static final BuildStrategy WHEN_SOURCE_CHANGES_BUILD_STRATEGY

  Only build if the build has changed

### INITIAL_BOOTSTRAP_BUILD_STRATEGY

    public static final BuildStrategy INITIAL_BOOTSTRAP_BUILD_STRATEGY

  This is the initialisation strategy, to check everything out before building

### MANUAL_BUILD_STRATEGY

    public static final BuildStrategy MANUAL_BUILD_STRATEGY

  No builds at all

### MANUAL_BUILD

    public static final BuildStrategy MANUAL_BUILD

  Force a manual build

### EDIT_BUILD_STRATEGY

    public static final BuildStrategy EDIT_BUILD_STRATEGY

  Force a manual build follow editing of the build settings

### DEFAULT_STRATEGY

    public static final BuildStrategy DEFAULT_STRATEGY

  Default build behaviour

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.